/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var menudata={children:[
{text:"Main Page",url:"index.xhtml"},
{text:"Other Docs",url:"pages.xhtml"},
{text:"Namespaces",url:"namespaces.xhtml",children:[
{text:"Namespace List",url:"namespaces.xhtml"},
{text:"Namespace Members",url:"namespacemembers.xhtml",children:[
{text:"All",url:"namespacemembers.xhtml",children:[
{text:"a",url:"namespacemembers.xhtml#index_a"},
{text:"b",url:"namespacemembers_b.xhtml#index_b"},
{text:"c",url:"namespacemembers_c.xhtml#index_c"},
{text:"d",url:"namespacemembers_d.xhtml#index_d"},
{text:"e",url:"namespacemembers_e.xhtml#index_e"},
{text:"f",url:"namespacemembers_f.xhtml#index_f"},
{text:"g",url:"namespacemembers_g.xhtml#index_g"},
{text:"h",url:"namespacemembers_h.xhtml#index_h"},
{text:"i",url:"namespacemembers_i.xhtml#index_i"},
{text:"j",url:"namespacemembers_j.xhtml#index_j"},
{text:"k",url:"namespacemembers_k.xhtml#index_k"},
{text:"l",url:"namespacemembers_l.xhtml#index_l"},
{text:"m",url:"namespacemembers_m.xhtml#index_m"},
{text:"n",url:"namespacemembers_n.xhtml#index_n"},
{text:"o",url:"namespacemembers_o.xhtml#index_o"},
{text:"p",url:"namespacemembers_p.xhtml#index_p"},
{text:"q",url:"namespacemembers_q.xhtml#index_q"},
{text:"r",url:"namespacemembers_r.xhtml#index_r"},
{text:"s",url:"namespacemembers_s.xhtml#index_s"},
{text:"t",url:"namespacemembers_t.xhtml#index_t"},
{text:"u",url:"namespacemembers_u.xhtml#index_u"},
{text:"v",url:"namespacemembers_v.xhtml#index_v"},
{text:"w",url:"namespacemembers_w.xhtml#index_w"},
{text:"x",url:"namespacemembers_x.xhtml#index_x"}]},
{text:"Functions",url:"namespacemembers_func.xhtml",children:[
{text:"a",url:"namespacemembers_func.xhtml#index_a"},
{text:"b",url:"namespacemembers_func_b.xhtml#index_b"},
{text:"c",url:"namespacemembers_func_c.xhtml#index_c"},
{text:"d",url:"namespacemembers_func_d.xhtml#index_d"},
{text:"e",url:"namespacemembers_func_e.xhtml#index_e"},
{text:"f",url:"namespacemembers_func_f.xhtml#index_f"},
{text:"g",url:"namespacemembers_func_g.xhtml#index_g"},
{text:"h",url:"namespacemembers_func_h.xhtml#index_h"},
{text:"i",url:"namespacemembers_func_i.xhtml#index_i"},
{text:"j",url:"namespacemembers_func_j.xhtml#index_j"},
{text:"k",url:"namespacemembers_func_k.xhtml#index_k"},
{text:"l",url:"namespacemembers_func_l.xhtml#index_l"},
{text:"m",url:"namespacemembers_func_m.xhtml#index_m"},
{text:"n",url:"namespacemembers_func_n.xhtml#index_n"},
{text:"o",url:"namespacemembers_func_o.xhtml#index_o"},
{text:"p",url:"namespacemembers_func_p.xhtml#index_p"},
{text:"r",url:"namespacemembers_func_r.xhtml#index_r"},
{text:"s",url:"namespacemembers_func_s.xhtml#index_s"},
{text:"t",url:"namespacemembers_func_t.xhtml#index_t"},
{text:"u",url:"namespacemembers_func_u.xhtml#index_u"},
{text:"v",url:"namespacemembers_func_v.xhtml#index_v"},
{text:"w",url:"namespacemembers_func_w.xhtml#index_w"},
{text:"x",url:"namespacemembers_func_x.xhtml#index_x"}]},
{text:"Variables",url:"namespacemembers_vars.xhtml",children:[
{text:"c",url:"namespacemembers_vars.xhtml#index_c"},
{text:"f",url:"namespacemembers_vars.xhtml#index_f"},
{text:"g",url:"namespacemembers_vars.xhtml#index_g"},
{text:"i",url:"namespacemembers_vars.xhtml#index_i"},
{text:"j",url:"namespacemembers_vars.xhtml#index_j"},
{text:"l",url:"namespacemembers_vars.xhtml#index_l"},
{text:"m",url:"namespacemembers_vars.xhtml#index_m"},
{text:"n",url:"namespacemembers_vars.xhtml#index_n"},
{text:"p",url:"namespacemembers_vars.xhtml#index_p"},
{text:"r",url:"namespacemembers_vars.xhtml#index_r"},
{text:"s",url:"namespacemembers_vars.xhtml#index_s"}]},
{text:"Typedefs",url:"namespacemembers_type.xhtml",children:[
{text:"a",url:"namespacemembers_type.xhtml#index_a"},
{text:"b",url:"namespacemembers_type.xhtml#index_b"},
{text:"c",url:"namespacemembers_type.xhtml#index_c"},
{text:"d",url:"namespacemembers_type.xhtml#index_d"},
{text:"e",url:"namespacemembers_type.xhtml#index_e"},
{text:"f",url:"namespacemembers_type.xhtml#index_f"},
{text:"g",url:"namespacemembers_type.xhtml#index_g"},
{text:"h",url:"namespacemembers_type.xhtml#index_h"},
{text:"i",url:"namespacemembers_type.xhtml#index_i"},
{text:"l",url:"namespacemembers_type.xhtml#index_l"},
{text:"m",url:"namespacemembers_type.xhtml#index_m"},
{text:"o",url:"namespacemembers_type.xhtml#index_o"},
{text:"p",url:"namespacemembers_type.xhtml#index_p"},
{text:"r",url:"namespacemembers_type.xhtml#index_r"},
{text:"s",url:"namespacemembers_type.xhtml#index_s"},
{text:"t",url:"namespacemembers_type.xhtml#index_t"},
{text:"u",url:"namespacemembers_type.xhtml#index_u"},
{text:"v",url:"namespacemembers_type.xhtml#index_v"},
{text:"w",url:"namespacemembers_type.xhtml#index_w"}]},
{text:"Enumerations",url:"namespacemembers_enum.xhtml",children:[
{text:"a",url:"namespacemembers_enum.xhtml#index_a"},
{text:"b",url:"namespacemembers_enum.xhtml#index_b"},
{text:"c",url:"namespacemembers_enum.xhtml#index_c"},
{text:"d",url:"namespacemembers_enum.xhtml#index_d"},
{text:"e",url:"namespacemembers_enum.xhtml#index_e"},
{text:"f",url:"namespacemembers_enum.xhtml#index_f"},
{text:"g",url:"namespacemembers_enum.xhtml#index_g"},
{text:"h",url:"namespacemembers_enum.xhtml#index_h"},
{text:"i",url:"namespacemembers_enum.xhtml#index_i"},
{text:"k",url:"namespacemembers_enum.xhtml#index_k"},
{text:"m",url:"namespacemembers_enum.xhtml#index_m"},
{text:"n",url:"namespacemembers_enum.xhtml#index_n"},
{text:"o",url:"namespacemembers_enum.xhtml#index_o"},
{text:"p",url:"namespacemembers_enum.xhtml#index_p"},
{text:"q",url:"namespacemembers_enum.xhtml#index_q"},
{text:"r",url:"namespacemembers_enum.xhtml#index_r"},
{text:"s",url:"namespacemembers_enum.xhtml#index_s"},
{text:"t",url:"namespacemembers_enum.xhtml#index_t"},
{text:"u",url:"namespacemembers_enum.xhtml#index_u"},
{text:"v",url:"namespacemembers_enum.xhtml#index_v"}]},
{text:"Enumerator",url:"namespacemembers_eval.xhtml"}]}]},
{text:"Classes",url:"annotated.xhtml",children:[
{text:"Class List",url:"annotated.xhtml"},
{text:"Class Index",url:"classes.xhtml"},
{text:"Class Hierarchy",url:"inherits.xhtml"},
{text:"Class Members",url:"functions.xhtml",children:[
{text:"All",url:"functions.xhtml",children:[
{text:"a",url:"functions.xhtml#index_a"},
{text:"b",url:"functions_b.xhtml#index_b"},
{text:"c",url:"functions_c.xhtml#index_c"},
{text:"d",url:"functions_d.xhtml#index_d"},
{text:"e",url:"functions_e.xhtml#index_e"},
{text:"f",url:"functions_f.xhtml#index_f"},
{text:"g",url:"functions_g.xhtml#index_g"},
{text:"h",url:"functions_h.xhtml#index_h"},
{text:"i",url:"functions_i.xhtml#index_i"},
{text:"j",url:"functions_j.xhtml#index_j"},
{text:"l",url:"functions_l.xhtml#index_l"},
{text:"m",url:"functions_m.xhtml#index_m"},
{text:"n",url:"functions_n.xhtml#index_n"},
{text:"o",url:"functions_o.xhtml#index_o"},
{text:"p",url:"functions_p.xhtml#index_p"},
{text:"q",url:"functions_q.xhtml#index_q"},
{text:"r",url:"functions_r.xhtml#index_r"},
{text:"s",url:"functions_s.xhtml#index_s"},
{text:"t",url:"functions_t.xhtml#index_t"},
{text:"u",url:"functions_u.xhtml#index_u"},
{text:"v",url:"functions_v.xhtml#index_v"},
{text:"w",url:"functions_w.xhtml#index_w"},
{text:"x",url:"functions_x.xhtml#index_x"},
{text:"y",url:"functions_y.xhtml#index_y"},
{text:"z",url:"functions_z.xhtml#index_z"},
{text:"~",url:"functions_~.xhtml#index__7E"}]},
{text:"Functions",url:"functions_func.xhtml",children:[
{text:"a",url:"functions_func.xhtml#index_a"},
{text:"b",url:"functions_func_b.xhtml#index_b"},
{text:"c",url:"functions_func_c.xhtml#index_c"},
{text:"d",url:"functions_func_d.xhtml#index_d"},
{text:"e",url:"functions_func_e.xhtml#index_e"},
{text:"f",url:"functions_func_f.xhtml#index_f"},
{text:"g",url:"functions_func_g.xhtml#index_g"},
{text:"h",url:"functions_func_h.xhtml#index_h"},
{text:"i",url:"functions_func_i.xhtml#index_i"},
{text:"l",url:"functions_func_l.xhtml#index_l"},
{text:"m",url:"functions_func_m.xhtml#index_m"},
{text:"n",url:"functions_func_n.xhtml#index_n"},
{text:"o",url:"functions_func_o.xhtml#index_o"},
{text:"p",url:"functions_func_p.xhtml#index_p"},
{text:"q",url:"functions_func_q.xhtml#index_q"},
{text:"r",url:"functions_func_r.xhtml#index_r"},
{text:"s",url:"functions_func_s.xhtml#index_s"},
{text:"t",url:"functions_func_t.xhtml#index_t"},
{text:"u",url:"functions_func_u.xhtml#index_u"},
{text:"v",url:"functions_func_v.xhtml#index_v"},
{text:"w",url:"functions_func_w.xhtml#index_w"},
{text:"x",url:"functions_func_x.xhtml#index_x"},
{text:"y",url:"functions_func_y.xhtml#index_y"},
{text:"z",url:"functions_func_z.xhtml#index_z"},
{text:"~",url:"functions_func_~.xhtml#index__7E"}]},
{text:"Variables",url:"functions_vars.xhtml",children:[
{text:"a",url:"functions_vars.xhtml#index_a"},
{text:"b",url:"functions_vars_b.xhtml#index_b"},
{text:"c",url:"functions_vars_c.xhtml#index_c"},
{text:"d",url:"functions_vars_d.xhtml#index_d"},
{text:"e",url:"functions_vars_e.xhtml#index_e"},
{text:"f",url:"functions_vars_f.xhtml#index_f"},
{text:"g",url:"functions_vars_g.xhtml#index_g"},
{text:"h",url:"functions_vars_h.xhtml#index_h"},
{text:"i",url:"functions_vars_i.xhtml#index_i"},
{text:"j",url:"functions_vars_j.xhtml#index_j"},
{text:"l",url:"functions_vars_l.xhtml#index_l"},
{text:"m",url:"functions_vars_m.xhtml#index_m"},
{text:"n",url:"functions_vars_n.xhtml#index_n"},
{text:"o",url:"functions_vars_o.xhtml#index_o"},
{text:"p",url:"functions_vars_p.xhtml#index_p"},
{text:"r",url:"functions_vars_r.xhtml#index_r"},
{text:"s",url:"functions_vars_s.xhtml#index_s"},
{text:"t",url:"functions_vars_t.xhtml#index_t"},
{text:"u",url:"functions_vars_u.xhtml#index_u"},
{text:"v",url:"functions_vars_v.xhtml#index_v"},
{text:"w",url:"functions_vars_w.xhtml#index_w"},
{text:"x",url:"functions_vars_x.xhtml#index_x"}]},
{text:"Typedefs",url:"functions_type.xhtml",children:[
{text:"b",url:"functions_type.xhtml#index_b"},
{text:"c",url:"functions_type.xhtml#index_c"},
{text:"d",url:"functions_type.xhtml#index_d"},
{text:"e",url:"functions_type.xhtml#index_e"},
{text:"f",url:"functions_type.xhtml#index_f"},
{text:"h",url:"functions_type.xhtml#index_h"},
{text:"i",url:"functions_type.xhtml#index_i"},
{text:"m",url:"functions_type.xhtml#index_m"},
{text:"p",url:"functions_type.xhtml#index_p"},
{text:"r",url:"functions_type.xhtml#index_r"},
{text:"s",url:"functions_type.xhtml#index_s"},
{text:"v",url:"functions_type.xhtml#index_v"}]},
{text:"Enumerations",url:"functions_enum.xhtml"},
{text:"Enumerator",url:"functions_eval.xhtml"},
{text:"Related Symbols",url:"functions_rela.xhtml"}]}]},
{text:"Files",url:"files.xhtml",children:[
{text:"File List",url:"files.xhtml"},
{text:"File Members",url:"globals.xhtml",children:[
{text:"All",url:"globals.xhtml",children:[
{text:"_",url:"globals.xhtml#index__5F"},
{text:"a",url:"globals_a.xhtml#index_a"},
{text:"b",url:"globals_b.xhtml#index_b"},
{text:"c",url:"globals_c.xhtml#index_c"},
{text:"d",url:"globals_d.xhtml#index_d"},
{text:"e",url:"globals_e.xhtml#index_e"},
{text:"f",url:"globals_f.xhtml#index_f"},
{text:"g",url:"globals_g.xhtml#index_g"},
{text:"h",url:"globals_h.xhtml#index_h"},
{text:"i",url:"globals_i.xhtml#index_i"},
{text:"k",url:"globals_k.xhtml#index_k"},
{text:"l",url:"globals_l.xhtml#index_l"},
{text:"m",url:"globals_m.xhtml#index_m"},
{text:"n",url:"globals_n.xhtml#index_n"},
{text:"o",url:"globals_o.xhtml#index_o"},
{text:"p",url:"globals_p.xhtml#index_p"},
{text:"r",url:"globals_r.xhtml#index_r"},
{text:"s",url:"globals_s.xhtml#index_s"},
{text:"t",url:"globals_t.xhtml#index_t"},
{text:"u",url:"globals_u.xhtml#index_u"},
{text:"v",url:"globals_v.xhtml#index_v"},
{text:"w",url:"globals_w.xhtml#index_w"}]},
{text:"Functions",url:"globals_func.xhtml",children:[
{text:"a",url:"globals_func.xhtml#index_a"},
{text:"b",url:"globals_func_b.xhtml#index_b"},
{text:"c",url:"globals_func_c.xhtml#index_c"},
{text:"d",url:"globals_func_d.xhtml#index_d"},
{text:"e",url:"globals_func_e.xhtml#index_e"},
{text:"f",url:"globals_func_f.xhtml#index_f"},
{text:"g",url:"globals_func_g.xhtml#index_g"},
{text:"h",url:"globals_func_h.xhtml#index_h"},
{text:"i",url:"globals_func_i.xhtml#index_i"},
{text:"l",url:"globals_func_l.xhtml#index_l"},
{text:"m",url:"globals_func_m.xhtml#index_m"},
{text:"n",url:"globals_func_n.xhtml#index_n"},
{text:"o",url:"globals_func_o.xhtml#index_o"},
{text:"p",url:"globals_func_p.xhtml#index_p"},
{text:"r",url:"globals_func_r.xhtml#index_r"},
{text:"s",url:"globals_func_s.xhtml#index_s"},
{text:"t",url:"globals_func_t.xhtml#index_t"},
{text:"u",url:"globals_func_u.xhtml#index_u"},
{text:"v",url:"globals_func_v.xhtml#index_v"},
{text:"w",url:"globals_func_w.xhtml#index_w"}]},
{text:"Variables",url:"globals_vars.xhtml"},
{text:"Typedefs",url:"globals_type.xhtml"},
{text:"Enumerations",url:"globals_enum.xhtml",children:[
{text:"b",url:"globals_enum.xhtml#index_b"},
{text:"c",url:"globals_enum.xhtml#index_c"},
{text:"d",url:"globals_enum.xhtml#index_d"},
{text:"e",url:"globals_enum.xhtml#index_e"},
{text:"f",url:"globals_enum.xhtml#index_f"},
{text:"g",url:"globals_enum.xhtml#index_g"},
{text:"i",url:"globals_enum.xhtml#index_i"},
{text:"k",url:"globals_enum.xhtml#index_k"},
{text:"l",url:"globals_enum.xhtml#index_l"},
{text:"m",url:"globals_enum.xhtml#index_m"},
{text:"n",url:"globals_enum.xhtml#index_n"},
{text:"p",url:"globals_enum.xhtml#index_p"},
{text:"r",url:"globals_enum.xhtml#index_r"},
{text:"s",url:"globals_enum.xhtml#index_s"},
{text:"t",url:"globals_enum.xhtml#index_t"},
{text:"v",url:"globals_enum.xhtml#index_v"},
{text:"w",url:"globals_enum.xhtml#index_w"}]},
{text:"Enumerator",url:"globals_eval.xhtml"},
{text:"Macros",url:"globals_defs.xhtml",children:[
{text:"_",url:"globals_defs.xhtml#index__5F"},
{text:"b",url:"globals_defs.xhtml#index_b"},
{text:"c",url:"globals_defs.xhtml#index_c"},
{text:"e",url:"globals_defs.xhtml#index_e"},
{text:"f",url:"globals_defs.xhtml#index_f"},
{text:"g",url:"globals_defs.xhtml#index_g"},
{text:"h",url:"globals_defs.xhtml#index_h"},
{text:"m",url:"globals_defs.xhtml#index_m"},
{text:"o",url:"globals_defs.xhtml#index_o"},
{text:"p",url:"globals_defs.xhtml#index_p"},
{text:"r",url:"globals_defs.xhtml#index_r"},
{text:"s",url:"globals_defs.xhtml#index_s"},
{text:"t",url:"globals_defs.xhtml#index_t"}]}]}]},
{text:"Examples",url:"examples.xhtml"}]}
